IXP_API(3)

NAME

IXP_API, IXP_NEEDAPI, IXP_MAXAPI, IXP_ASSERT_VERSION

SYNOPSIS
  #include <ixp.h>

  #define IXP_API ...

  #define IXP_NEEDAPI ...

  #define IXP_MAXAPI ...

  #define IXP_ASSERT_VERSION ...

DESCRIPTION

IXP_API contains the current libixp API revision number.

IXP_NEEDAPI, if defined before ixp.h is included, directs the header to present an older version of the libixp API. This allows code written for older versions of libixp to compile against newer versions without modification. It does not, however, ensure that it will link against a different version of libixp than the ixp.h header belongs to.

IXP_MAXAPI, if defined before ixp.h is included, prevents code from compiling with a newer version of libixp than specified.

When inserted into any function, IXP_ASSERT_VERSION ensures that the resulting object will fail to link link against any version of libixp with a different API version than it was compiled against.